<?xml version="1.0"?>
<block>
  <name>Packet Frequency Corrector</name>
  <key>marmote3_packet_freq_corrector</key>
  <category>[marmote3]</category>
  <import>import marmote3</import>
  <make>marmote3.packet_freq_corrector($mod.val or $index, $span, $postamble, $max_output_len)</make>
  <param>
    <name>Modulation</name>
    <key>mod</key>
    <value>MOD_QPSK</value>
    <type>enum</type>
    <option>
      <name>BPSK</name>
      <key>MOD_BPSK</key>
      <opt>val:marmote3.MOD_BPSK</opt>
      <opt>hide:all</opt>
    </option>
    <option>
      <name>QPSK</name>
      <key>MOD_QPSK</key>
      <opt>val:marmote3.MOD_QPSK</opt>
      <opt>hide:all</opt>
    </option>
    <option>
      <name>8PSK</name>
      <key>MOD_8PSK</key>
      <opt>val:marmote3.MOD_8PSK</opt>
      <opt>hide:all</opt>
    </option>
    <option>
      <name>16 QAM</name>
      <key>MOD_16QAM</key>
      <opt>val:marmote3.MOD_16QAM</opt>
      <opt>hide:all</opt>
    </option>
    <option>
      <name>64 QAM</name>
      <key>MOD_64QAM</key>
      <opt>val:marmote3.MOD_64QAM</opt>
      <opt>hide:all</opt>
    </option>
    <option>
      <name>Constant</name>
      <key>Constant</key>
      <opt>val:None</opt>
      <opt>hide:</opt>
    </option>
    <option>
      <name>MCS Config</name>
      <key>MCS</key>
      <opt>val:marmote3.MOD_MCS</opt>
      <opt>hide:all</opt>
    </option>
  </param>
  <param>
    <name>Mod Index</name>
    <key>index</key>
    <value>1</value>
    <type>int</type>
    <hide>$mod.hide</hide>
  </param>
  <param>
    <name>Averaging Span</name>
    <key>span</key>
    <value>100</value>
    <type>int</type>
  </param>
  <param>
    <name>Postamble</name>
    <key>postamble</key>
    <value>False</value>
    <type>bool</type>
  </param>
  <param>
    <name>Max Output Length</name>
    <key>max_output_len</key>
    <type>int</type>
  </param>
  <sink>
    <name>in</name>
    <type>complex</type>
  </sink>
  <source>
    <name>out</name>
    <type>complex</type>
  </source>
</block>
